pidgin: _PurplePluginInfo Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurplePluginInfo Struct Reference

Detailed information about a plugin. More...

`#include <plugin.h>`

## Data Fields
unsigned int | magic
unsigned int | major_version
unsigned int | minor_version
PurplePluginType | type
char * | ui_requirement
unsigned long | flags
GList * | dependencies
PurplePluginPriority | priority
char * | id
char * | name
char * | version
char * | summary
char * | description
char * | author
char * | homepage
gboolean(* | load )(PurplePlugin *plugin)
| If a plugin defines a 'load' function, and it returns FALSE, then the plugin will not be loaded.
gboolean(* | unload )(PurplePlugin *plugin)
void(* | destroy )(PurplePlugin *plugin)
void * | ui_info
| Used only by UI-specific plugins to build a preference screen with a custom UI.
void * | extra_info
PurplePluginUiInfo * | prefs_info
| Used by any plugin to display preferences.
GList *(* | actions )(PurplePlugin *plugin, gpointer context)
| This callback has a different use depending on whether this plugin type is PURPLE_PLUGIN_STANDARD or PURPLE_PLUGIN_PROTOCOL.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Detailed information about a plugin.

This is used in the version 2.0 API and up.

Definition at line 78 of file plugin.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurplePluginInfo::_purple_reserved1) (void)

Definition at line 124 of file plugin.h.

## ◆ _purple_reserved2

void(* _PurplePluginInfo::_purple_reserved2) (void)

Definition at line 125 of file plugin.h.

## ◆ _purple_reserved3

void(* _PurplePluginInfo::_purple_reserved3) (void)

Definition at line 126 of file plugin.h.

## ◆ _purple_reserved4

void(* _PurplePluginInfo::_purple_reserved4) (void)

Definition at line 127 of file plugin.h.

## ◆ actions

GList *(* _PurplePluginInfo::actions) (PurplePlugin *plugin, gpointer context)

This callback has a different use depending on whether this plugin type is PURPLE_PLUGIN_STANDARD or PURPLE_PLUGIN_PROTOCOL.

If PURPLE_PLUGIN_STANDARD then the list of actions will show up in the Tools menu, under a submenu with the name of the plugin. context will be NULL.

If PURPLE_PLUGIN_PROTOCOL then the list of actions will show up in the Accounts menu, under a submenu with the name of the account. context will be set to the PurpleConnection for that account. This callback will only be called for online accounts.

Definition at line 122 of file plugin.h.

## ◆ author

char* _PurplePluginInfo::author

Definition at line 94 of file plugin.h.

## ◆ dependencies

GList* _PurplePluginInfo::dependencies

Definition at line 86 of file plugin.h.

## ◆ description

char* _PurplePluginInfo::description

Definition at line 93 of file plugin.h.

## ◆ destroy

void(* _PurplePluginInfo::destroy) (PurplePlugin *plugin)

Definition at line 103 of file plugin.h.

## ◆ extra_info

void* _PurplePluginInfo::extra_info

Definition at line 106 of file plugin.h.

## ◆ flags

unsigned long _PurplePluginInfo::flags

Definition at line 85 of file plugin.h.

## ◆ homepage

char* _PurplePluginInfo::homepage

Definition at line 95 of file plugin.h.

## ◆ id

char* _PurplePluginInfo::id

Definition at line 89 of file plugin.h.

## ◆ load

gboolean(* _PurplePluginInfo::load) (PurplePlugin *plugin)

If a plugin defines a 'load' function, and it returns FALSE, then the plugin will not be loaded.

Definition at line 101 of file plugin.h.

## ◆ magic

unsigned int _PurplePluginInfo::magic

Definition at line 80 of file plugin.h.

## ◆ major_version

unsigned int _PurplePluginInfo::major_version

Definition at line 81 of file plugin.h.

## ◆ minor_version

unsigned int _PurplePluginInfo::minor_version

Definition at line 82 of file plugin.h.

## ◆ name

char* _PurplePluginInfo::name

Definition at line 90 of file plugin.h.

## ◆ prefs_info

PurplePluginUiInfo* _PurplePluginInfo::prefs_info

Used by any plugin to display preferences.

If ui_info has been specified, this will be ignored.

Definition at line 107 of file plugin.h.

## ◆ priority

PurplePluginPriority _PurplePluginInfo::priority

Definition at line 87 of file plugin.h.

## ◆ summary

char* _PurplePluginInfo::summary

Definition at line 92 of file plugin.h.

## ◆ type

PurplePluginType _PurplePluginInfo::type

Definition at line 83 of file plugin.h.

## ◆ ui_info

void* _PurplePluginInfo::ui_info

Used only by UI-specific plugins to build a preference screen with a custom UI.

Definition at line 105 of file plugin.h.

## ◆ ui_requirement

char* _PurplePluginInfo::ui_requirement

Definition at line 84 of file plugin.h.

## ◆ unload

gboolean(* _PurplePluginInfo::unload) (PurplePlugin *plugin)

Definition at line 102 of file plugin.h.

## ◆ version

char* _PurplePluginInfo::version

Definition at line 91 of file plugin.h.

The documentation for this struct was generated from the following file:

- plugin.h